/**
 * Created by MyPC on 2019/12/17.
 */

const hash=require('../class/hash');
const contactsService=require('../service/contactsService');
const url=require("url");
var models=require('../models');

//获得cld客户信息组
var getClentList= async function (req, res){
    var params = url.parse(req.url, true).query;

    if(hash.isExistence(params.clientname)){
        var clientname=decodeURI(params.clientname);
        var list= await contactsService.getClentListByClientname(params.clientname);

        res.json({ 'status': 1,'list':list });
    }else{
        res.json({ 'status': 0,'msg':'params error' });
    }
}


exports.getClentList = getClentList;